Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.xmpp
Class BambooSmackClient

    java.lang.Object
      com.atlassian.bamboo.xmpp.BambooSmackClient

    public class BambooSmackClient

extends Object

Field Summary
`static int` | `USER_MESSAGE_CONTEXT_SIZE`

Constructor Summary
`BambooSmackClient()`

Method Summary
`void` | `connect()`
`void` | `disconnect()`
`Map` | `getUserMessageContexts()`
`void` | `putUserMessageContext(String user, Map context)`
`void` | `send(Message message)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_MESSAGE_CONTEXT_SIZE

    public static final int USER_MESSAGE_CONTEXT_SIZE

See Also:
  Constant Field Values

Constructor Detail

### BambooSmackClient

    public BambooSmackClient()

Method Detail

### connect

    public void connect()
                 throws XMPPException

  Throws:
    `XMPPException`

### disconnect

    public void disconnect()

### send

    public void send(Message message)

### getUserMessageContexts

    public Map getUserMessageContexts()

### putUserMessageContext

    public void putUserMessageContext(String user,
                                      Map context)

### setInstantMessagingServerManager

    public void setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.